<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Auth\Controllers\AuthController;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\ActualCategoryPropertiesController as ActualCategoryPropertiesController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\BrandsController as BrandsController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\CategoriesController as CategoriesController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\DiscountsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\EntitiesController as EntitiesController3;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\FailedJobsController as FailedJobsController3;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\ImagesController;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\IndexerTimestampsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\NameplateProductsController as NameplateProductsController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\NameplatesController as NameplatesController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\OffersController as OffersController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\ProductGroupProductsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\ProductGroupsController as ProductGroupsController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\ProductPropertyValuesController;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\ProductsController as ProductsController3;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\PropertiesController as PropertiesController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\CatalogCache\PropertyDirectoryValuesController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Categories\ActualCategoryPropertiesController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Categories\CategoriesController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Classifiers\BrandsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Classifiers\ProductStatusesController;
use App\Http\ApiV1\Modules\Catalog\Controllers\EnumsController as EnumsController6;
use App\Http\ApiV1\Modules\Catalog\Controllers\Feeds\CloudIntegrationsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Feeds\EntitiesController as EntitiesController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\Feeds\FeedsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Feeds\FeedSettingsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Imports\ProductImportsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Imports\ProductImportWarningsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Offers\EntitiesController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Offers\FailedJobsController as FailedJobsController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\Offers\OffersController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Offers\StocksController;
use App\Http\ApiV1\Modules\Catalog\Controllers\PimCommon\BulkOperationsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\PimCommon\FailedJobsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\PimCommon\TempFilesController;
use App\Http\ApiV1\Modules\Catalog\Controllers\ProductEvents\ProductEventsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\ProductGroups\ProductGroupsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Products\ProductDraftsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Products\ProductFieldsController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Products\ProductsController as ProductsController2;
use App\Http\ApiV1\Modules\Catalog\Controllers\Properties\DirectoryValuesController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Properties\PropertiesController;
use App\Http\ApiV1\Modules\Catalog\Controllers\Reviews\ReviewsController;
use App\Http\ApiV1\Modules\Cms\Controllers\Banners\BannerFilesController;
use App\Http\ApiV1\Modules\Cms\Controllers\Banners\BannersController;
use App\Http\ApiV1\Modules\Cms\Controllers\Banners\BannerTypesController;
use App\Http\ApiV1\Modules\Cms\Controllers\Banners\EnumsController;
use App\Http\ApiV1\Modules\Cms\Controllers\EnumsController as EnumsController2;
use App\Http\ApiV1\Modules\Cms\Controllers\MenusController;
use App\Http\ApiV1\Modules\Cms\Controllers\MenuTreesController;
use App\Http\ApiV1\Modules\Cms\Controllers\NameplateProductsController;
use App\Http\ApiV1\Modules\Cms\Controllers\NameplatesController;
use App\Http\ApiV1\Modules\Cms\Controllers\PagesController;
use App\Http\ApiV1\Modules\Cms\Controllers\ProductsController;
use App\Http\ApiV1\Modules\Cms\Controllers\SeoTemplateProductsController;
use App\Http\ApiV1\Modules\Cms\Controllers\SeoTemplatesController;
use App\Http\ApiV1\Modules\Common\Controllers\FilesController;
use App\Http\ApiV1\Modules\Common\Controllers\MenuController;
use App\Http\ApiV1\Modules\Communication\Controllers\AttachmentsController;
use App\Http\ApiV1\Modules\Communication\Controllers\BroadcastsController;
use App\Http\ApiV1\Modules\Communication\Controllers\ChannelsController;
use App\Http\ApiV1\Modules\Communication\Controllers\ChatsController;
use App\Http\ApiV1\Modules\Communication\Controllers\EnumsController as EnumsController8;
use App\Http\ApiV1\Modules\Communication\Controllers\MessagesController;
use App\Http\ApiV1\Modules\Communication\Controllers\Notifications\NotificationsController;
use App\Http\ApiV1\Modules\Communication\Controllers\Notifications\NotificationSettingsController;
use App\Http\ApiV1\Modules\Communication\Controllers\StatusesController;
use App\Http\ApiV1\Modules\Communication\Controllers\ThemesController;
use App\Http\ApiV1\Modules\Communication\Controllers\TypesController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomerOrdersController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomersAddressesController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomersBonusOperationsController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomersController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomersFavoritesController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomersPreferencesController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomersProductSubscribesController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomerStatusesController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomerUsersController;
use App\Http\ApiV1\Modules\Logistic\Controllers\CargoOrders\CargoController;
use App\Http\ApiV1\Modules\Logistic\Controllers\CargoOrders\CargoOrdersController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiCtController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiPptController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryPrices\DeliveryPricesController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentFilesController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentsController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceManagersController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServicePaymentMethodLinksController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServicesController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\EnumsController as EnumsController3;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\PointsController;
use App\Http\ApiV1\Modules\Logistic\Controllers\Geos\FederalDistrictsController;
use App\Http\ApiV1\Modules\Logistic\Controllers\Geos\RegionsController;
use App\Http\ApiV1\Modules\Marketing\Controllers\DiscountProductsController;
use App\Http\ApiV1\Modules\Marketing\Controllers\DiscountRelationsController;
use App\Http\ApiV1\Modules\Marketing\Controllers\DiscountsController as DiscountsController2;
use App\Http\ApiV1\Modules\Marketing\Controllers\EnumsController as EnumsController7;
use App\Http\ApiV1\Modules\Marketing\Controllers\PromoCodesController;
use App\Http\ApiV1\Modules\Orders\Controllers\Baskets\BasketItemsController;
use App\Http\ApiV1\Modules\Orders\Controllers\Baskets\BasketsController;
use App\Http\ApiV1\Modules\Orders\Controllers\BasketsCommon\SettingsController as SettingsController2;
use App\Http\ApiV1\Modules\Orders\Controllers\OmsCommon\SettingsController;
use App\Http\ApiV1\Modules\Orders\Controllers\Orders\DeliveriesController;
use App\Http\ApiV1\Modules\Orders\Controllers\Orders\EnumsController as EnumsController4;
use App\Http\ApiV1\Modules\Orders\Controllers\Orders\OrdersController;
use App\Http\ApiV1\Modules\Orders\Controllers\Orders\ShipmentsController;
use App\Http\ApiV1\Modules\Orders\Controllers\Refunds\EnumsController as EnumsController5;
use App\Http\ApiV1\Modules\Orders\Controllers\Refunds\RefundReasonsController;
use App\Http\ApiV1\Modules\Orders\Controllers\Refunds\RefundsController;
use App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUserRolesController;
use App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController;
use App\Http\ApiV1\Modules\Units\Controllers\EnumsController as EnumsController9;
use App\Http\ApiV1\Modules\Units\Controllers\Sellers\SellersController;
use App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUserRolesController;
use App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUsersController;
use App\Http\ApiV1\Modules\Units\Controllers\Stores\StoreContactsController;
use App\Http\ApiV1\Modules\Units\Controllers\Stores\StorePickupTimesController;
use App\Http\ApiV1\Modules\Units\Controllers\Stores\StoresController;
use App\Http\ApiV1\Modules\Units\Controllers\Stores\StoreWorkingsController;
use Illuminate\Support\Facades\Route;

Route::post('common/files/download-protected', [FilesController::class, 'downloadProtected'])->name('downloadProtectedFile');
Route::post('cms/menus:search', [MenusController::class, 'search']);
Route::post('cms/menus:search-one', [MenusController::class, 'searchOne']);
Route::put('cms/menus/{id}/trees', [MenuTreesController::class, 'update']);
Route::post('cms/banners:search', [BannersController::class, 'search']);
Route::post('cms/banners:search-one', [BannersController::class, 'searchOne']);
Route::post('cms/banners', [BannersController::class, 'create']);
Route::put('cms/banners/{id}', [BannersController::class, 'replace']);
Route::delete('cms/banners/{id}', [BannersController::class, 'delete']);
Route::get('cms/banners:meta', [BannersController::class, 'meta']);
Route::post('cms/banners/{id}:upload-file', [BannerFilesController::class, 'upload']);
Route::post('cms/banners/{id}:delete-file', [BannerFilesController::class, 'delete']);
Route::post('cms/banner-types:search', [BannerTypesController::class, 'search']);
Route::get('cms/banner-types:meta', [BannerTypesController::class, 'meta']);
Route::get('cms/banner-button-types', [EnumsController::class, 'bannerButtonTypes']);
Route::get('cms/banner-button-locations', [EnumsController::class, 'bannerButtonLocations']);
Route::post('cms/pages:search', [PagesController::class, 'search']);
Route::post('cms/pages:search-one', [PagesController::class, 'searchOne']);
Route::post('cms/pages', [PagesController::class, 'create']);
Route::get('cms/pages/{id}', [PagesController::class, 'get']);
Route::delete('cms/pages/{id}', [PagesController::class, 'delete']);
Route::patch('cms/pages/{id}', [PagesController::class, 'patch']);
Route::get('cms/pages:meta', [PagesController::class, 'meta']);
Route::post('cms/products/{id}:add-nameplates', [ProductsController::class, 'addNameplates']);
Route::delete('cms/products/{id}:delete-nameplates', [ProductsController::class, 'deleteNameplates']);
Route::post('cms/nameplates', [NameplatesController::class, 'create']);
Route::get('cms/nameplates/{id}', [NameplatesController::class, 'get']);
Route::delete('cms/nameplates/{id}', [NameplatesController::class, 'delete']);
Route::patch('cms/nameplates/{id}', [NameplatesController::class, 'patch']);
Route::post('cms/nameplates/{id}:add-products', [NameplatesController::class, 'addProducts']);
Route::delete('cms/nameplates/{id}:delete-products', [NameplatesController::class, 'deleteProducts']);
Route::post('cms/nameplates:search', [NameplatesController::class, 'search']);
Route::get('cms/nameplates:meta', [NameplatesController::class, 'meta']);
Route::get('cms/nameplates/nameplate-products/{id}', [NameplateProductsController::class, 'get']);
Route::post('cms/nameplates/nameplate-products:search', [NameplateProductsController::class, 'search']);
Route::get('cms/nameplates/nameplate-products:meta', [NameplateProductsController::class, 'meta']);
Route::post('cms/seo/templates', [SeoTemplatesController::class, 'create']);
Route::post('cms/seo/templates/{id}:add-products', [SeoTemplatesController::class, 'addProducts']);
Route::delete('cms/seo/templates/{id}:delete-products', [SeoTemplatesController::class, 'deleteProducts']);
Route::get('cms/seo/templates/{id}', [SeoTemplatesController::class, 'get']);
Route::delete('cms/seo/templates/{id}', [SeoTemplatesController::class, 'delete']);
Route::patch('cms/seo/templates/{id}', [SeoTemplatesController::class, 'patch']);
Route::post('cms/seo/templates:search', [SeoTemplatesController::class, 'search']);
Route::get('cms/seo/templates:meta', [SeoTemplatesController::class, 'meta']);
Route::get('cms/seo/template-types', [EnumsController2::class, 'templateTypes']);
Route::get('cms/seo/template-variables', [EnumsController2::class, 'templateVariables']);
Route::get('cms/seo/template-products/{id}', [SeoTemplateProductsController::class, 'get']);
Route::post('cms/seo/template-products:search', [SeoTemplateProductsController::class, 'search']);
Route::get('cms/seo/template-products:meta', [SeoTemplateProductsController::class, 'meta']);
Route::post('auth/login', [AuthController::class, 'login'])->withoutMiddleware(['auth']);
Route::get('auth/logout', [AuthController::class, 'logout']);
Route::post('auth/refresh', [AuthController::class, 'refresh'])->withoutMiddleware(['auth']);
Route::get('auth/current-user', [AuthController::class, 'currentUser']);
Route::get('logistic/points/{id}', [PointsController::class, 'get']);
Route::patch('logistic/points/{id}', [PointsController::class, 'patch']);
Route::post('logistic/points:search', [PointsController::class, 'search']);
Route::get('logistic/points:meta', [PointsController::class, 'meta']);
Route::post('logistic/point-enum-values:search', [PointsController::class, 'searchEnumValues'])->name('logistic.searchPointEnumValues');
Route::get('logistic/delivery-services/{id}', [DeliveryServicesController::class, 'get']);
Route::patch('logistic/delivery-services/{id}', [DeliveryServicesController::class, 'patch']);
Route::post('logistic/delivery-services:search', [DeliveryServicesController::class, 'search']);
Route::post('logistic/delivery-service-enum-values:search', [DeliveryServicesController::class, 'searchEnumValues'])->name('logistic.searchDeliveryServiceEnumValues');
Route::post('logistic/delivery-services:search-one', [DeliveryServicesController::class, 'searchOne']);
Route::post('logistic/delivery-services/{id}:add-payment-methods', [DeliveryServicePaymentMethodLinksController::class, 'add']);
Route::post('logistic/delivery-services/{id}:delete-payment-method', [DeliveryServicePaymentMethodLinksController::class, 'delete']);
Route::post('logistic/delivery-service-documents', [DeliveryServiceDocumentsController::class, 'create']);
Route::get('logistic/delivery-service-documents/{id}', [DeliveryServiceDocumentsController::class, 'get']);
Route::delete('logistic/delivery-service-documents/{id}', [DeliveryServiceDocumentsController::class, 'delete']);
Route::patch('logistic/delivery-service-documents/{id}', [DeliveryServiceDocumentsController::class, 'patch']);
Route::post('logistic/delivery-service-documents/{id}:upload-file', [DeliveryServiceDocumentFilesController::class, 'upload']);
Route::post('logistic/delivery-service-documents/{id}:delete-file', [DeliveryServiceDocumentFilesController::class, 'delete']);
Route::post('logistic/delivery-service-documents:search', [DeliveryServiceDocumentsController::class, 'search']);
Route::post('logistic/delivery-service-documents:search-one', [DeliveryServiceDocumentsController::class, 'searchOne']);
Route::post('logistic/delivery-service-managers', [DeliveryServiceManagersController::class, 'create']);
Route::get('logistic/delivery-service-managers/{id}', [DeliveryServiceManagersController::class, 'get']);
Route::delete('logistic/delivery-service-managers/{id}', [DeliveryServiceManagersController::class, 'delete']);
Route::patch('logistic/delivery-service-managers/{id}', [DeliveryServiceManagersController::class, 'patch']);
Route::post('logistic/delivery-service-managers:search', [DeliveryServiceManagersController::class, 'search']);
Route::post('logistic/delivery-service-managers:search-one', [DeliveryServiceManagersController::class, 'searchOne']);
Route::post('logistic/federal-districts', [FederalDistrictsController::class, 'create']);
Route::get('logistic/federal-districts/{id}', [FederalDistrictsController::class, 'get']);
Route::delete('logistic/federal-districts/{id}', [FederalDistrictsController::class, 'delete']);
Route::patch('logistic/federal-districts/{id}', [FederalDistrictsController::class, 'patch']);
Route::post('logistic/federal-districts:search', [FederalDistrictsController::class, 'search']);
Route::post('logistic/federal-districts:search-one', [FederalDistrictsController::class, 'searchOne']);
Route::post('logistic/federal-district-enum-values:search', [FederalDistrictsController::class, 'searchEnumValues'])->name('logistic.searchFederalDistrictEnumValues');
Route::post('logistic/regions', [RegionsController::class, 'create']);
Route::get('logistic/regions/{id}', [RegionsController::class, 'get']);
Route::delete('logistic/regions/{id}', [RegionsController::class, 'delete']);
Route::patch('logistic/regions/{id}', [RegionsController::class, 'patch']);
Route::post('logistic/regions:search', [RegionsController::class, 'search']);
Route::post('logistic/regions:search-one', [RegionsController::class, 'searchOne']);
Route::post('logistic/region-enum-values:search', [RegionsController::class, 'searchEnumValues'])->name('logistic.searchRegionEnumValues');
Route::post('logistic/delivery-prices', [DeliveryPricesController::class, 'create']);
Route::get('logistic/delivery-prices/{id}', [DeliveryPricesController::class, 'get']);
Route::delete('logistic/delivery-prices/{id}', [DeliveryPricesController::class, 'delete']);
Route::patch('logistic/delivery-prices/{id}', [DeliveryPricesController::class, 'patch']);
Route::post('logistic/delivery-prices:search', [DeliveryPricesController::class, 'search']);
Route::post('logistic/delivery-prices:search-one', [DeliveryPricesController::class, 'searchOne']);
Route::get('logistic/delivery-prices:meta', [DeliveryPricesController::class, 'meta']);
Route::get('logistic/delivery-kpi', [DeliveryKpiController::class, 'get']);
Route::patch('logistic/delivery-kpi', [DeliveryKpiController::class, 'patch']);
Route::get('logistic/delivery-kpi:meta', [DeliveryKpiController::class, 'meta']);
Route::post('logistic/delivery-kpi-ct:search', [DeliveryKpiCtController::class, 'search']);
Route::post('logistic/delivery-kpi-ct:search-one', [DeliveryKpiCtController::class, 'searchOne']);
Route::get('logistic/delivery-kpi-ct/{id}', [DeliveryKpiCtController::class, 'get']);
Route::post('logistic/delivery-kpi-ct/{id}', [DeliveryKpiCtController::class, 'create']);
Route::delete('logistic/delivery-kpi-ct/{id}', [DeliveryKpiCtController::class, 'delete']);
Route::patch('logistic/delivery-kpi-ct/{id}', [DeliveryKpiCtController::class, 'patch']);
Route::post('logistic/delivery-kpi-ppt:search', [DeliveryKpiPptController::class, 'search']);
Route::post('logistic/delivery-kpi-ppt:search-one', [DeliveryKpiPptController::class, 'searchOne']);
Route::get('logistic/delivery-kpi-ppt/{id}', [DeliveryKpiPptController::class, 'get']);
Route::post('logistic/delivery-kpi-ppt/{id}', [DeliveryKpiPptController::class, 'create']);
Route::delete('logistic/delivery-kpi-ppt/{id}', [DeliveryKpiPptController::class, 'delete']);
Route::patch('logistic/delivery-kpi-ppt/{id}', [DeliveryKpiPptController::class, 'patch']);
Route::get('logistic/delivery-methods', [EnumsController3::class, 'getDeliveryMethods']);
Route::get('logistic/delivery-service-statuses', [EnumsController3::class, 'getDeliveryServiceStatuses']);
Route::get('logistic/shipment-methods', [EnumsController3::class, 'getShipmentMethods']);
Route::patch('logistic/cargo/{id}', [CargoController::class, 'patch']);
Route::post('logistic/cargo/{id}:cancel', [CargoController::class, 'cancel']);
Route::post('logistic/cargo:search', [CargoController::class, 'search']);
Route::post('logistic/cargo-orders/{id}:cancel', [CargoOrdersController::class, 'cancel']);
Route::post('logistic/cargo-orders:search', [CargoOrdersController::class, 'search']);
Route::post('orders/orders:search', [OrdersController::class, 'search']);
Route::get('orders/orders:meta', [OrdersController::class, 'meta']);
Route::get('orders/orders/{id}', [OrdersController::class, 'get']);
Route::patch('orders/orders/{id}', [OrdersController::class, 'patch']);
Route::post('orders/orders/{id}:change-delivery', [OrdersController::class, 'changeDelivery']);
Route::post('orders/orders/{id}:add-order-items', [OrdersController::class, 'addItem']);
Route::post('orders/orders/{id}:delete-order-items', [OrdersController::class, 'deleteItem']);
Route::post('orders/orders/{id}:change-order-items-qty', [OrdersController::class, 'changeItemQty']);
Route::post('orders/orders/{id}:change-payment-method', [OrdersController::class, 'changePaymentSystem']);
Route::post('orders/orders/{id}:attach-file', [OrdersController::class, 'attachFile']);
Route::delete('orders/orders/{id}:delete-files', [OrdersController::class, 'deleteFiles']);
Route::get('orders/order-statuses', [EnumsController4::class, 'orderStatuses']);
Route::get('orders/order-sources', [EnumsController4::class, 'orderSources']);
Route::get('orders/payment-methods', [EnumsController4::class, 'paymentMethods']);
Route::get('orders/payment-statuses', [EnumsController4::class, 'paymentStatuses']);
Route::get('orders/delivery-statuses', [EnumsController4::class, 'deliveryStatuses']);
Route::get('orders/shipment-statuses', [EnumsController4::class, 'shipmentStatuses']);
Route::get('orders/refund-statuses', [EnumsController5::class, 'refundStatuses']);
Route::get('orders/refund-reasons', [EnumsController5::class, 'refundReasons']);
Route::post('orders/refund-reasons', [RefundReasonsController::class, 'create']);
Route::patch('orders/refund-reasons/{id}', [RefundReasonsController::class, 'patch']);
Route::patch('orders/shipments/{id}', [ShipmentsController::class, 'patch']);
Route::patch('orders/deliveries/{id}', [DeliveriesController::class, 'patch']);
Route::get('orders/oms-settings', [SettingsController::class, 'search']);
Route::patch('orders/oms-settings', [SettingsController::class, 'patchSeveral']);
Route::get('orders/oms-settings:meta', [SettingsController::class, 'meta']);
Route::get('orders/baskets-settings', [SettingsController2::class, 'search']);
Route::patch('orders/baskets-settings', [SettingsController2::class, 'patchSeveral']);
Route::get('orders/baskets-settings:meta', [SettingsController2::class, 'meta']);
Route::post('orders/refunds', [RefundsController::class, 'create']);
Route::post('orders/refunds:search', [RefundsController::class, 'search']);
Route::get('orders/refunds:meta', [RefundsController::class, 'meta']);
Route::get('orders/refunds/{id}', [RefundsController::class, 'get']);
Route::patch('orders/refunds/{id}', [RefundsController::class, 'patch']);
Route::post('orders/refunds/{id}:attach-file', [RefundsController::class, 'attachFile']);
Route::delete('orders/refunds/{id}:delete-files', [RefundsController::class, 'deleteFiles']);
Route::post('orders/basket-items:search', [BasketItemsController::class, 'search']);
Route::get('orders/basket-items:meta', [BasketItemsController::class, 'meta']);
Route::post('orders/baskets:search', [BasketsController::class, 'search']);
Route::get('orders/baskets:meta', [BasketsController::class, 'meta']);
Route::post('catalog/pim/failed-jobs:search', [FailedJobsController::class, 'search']);
Route::get('catalog/pim/failed-jobs:meta', [FailedJobsController::class, 'meta']);
Route::post('catalog/pim/temp-files:search', [TempFilesController::class, 'search']);
Route::get('catalog/pim/temp-files:meta', [TempFilesController::class, 'meta']);
Route::get('catalog/brands:meta', [BrandsController::class, 'meta']);
Route::post('catalog/brands:search', [BrandsController::class, 'search']);
Route::post('catalog/brand-enum-values:search', [BrandsController::class, 'searchEnumValues'])->name('catalog.searchBrandEnumValues');
Route::post('catalog/brands', [BrandsController::class, 'create']);
Route::post('catalog/brands:preload-image', [BrandsController::class, 'preloadImage']);
Route::get('catalog/brands/{id}', [BrandsController::class, 'get']);
Route::put('catalog/brands/{id}', [BrandsController::class, 'replace']);
Route::delete('catalog/brands/{id}', [BrandsController::class, 'delete']);
Route::patch('catalog/brands/{id}', [BrandsController::class, 'patch']);
Route::post('catalog/brands/{id}:upload-image', [BrandsController::class, 'uploadImage']);
Route::post('catalog/brands/{id}:delete-image', [BrandsController::class, 'deleteImage']);
Route::get('catalog/categories:meta', [CategoriesController::class, 'meta']);
Route::get('catalog/category-properties:meta', [CategoriesController::class, 'propertiesMeta']);
Route::post('catalog/categories:search', [CategoriesController::class, 'search']);
Route::post('catalog/category-enum-values:search', [CategoriesController::class, 'searchEnumValues'])->name('catalog.searchCategoryEnumValues');
Route::post('catalog/categories', [CategoriesController::class, 'create']);
Route::post('catalog/categories/{id}:bind-properties', [CategoriesController::class, 'bindProperties']);
Route::get('catalog/categories/{id}', [CategoriesController::class, 'get']);
Route::put('catalog/categories/{id}', [CategoriesController::class, 'replace']);
Route::delete('catalog/categories/{id}', [CategoriesController::class, 'delete']);
Route::post('catalog/categories:tree', [CategoriesController::class, 'tree']);
Route::post('catalog/actual-category-properties:search', [ActualCategoryPropertiesController::class, 'search']);
Route::get('catalog/actual-category-properties:meta', [ActualCategoryPropertiesController::class, 'meta']);
Route::post('catalog/categories:actualize', [CategoriesController::class, 'actualize']);
Route::get('catalog/properties:meta', [PropertiesController::class, 'meta']);
Route::post('catalog/properties:search', [PropertiesController::class, 'search']);
Route::post('catalog/properties', [PropertiesController::class, 'create']);
Route::get('catalog/properties/{id}', [PropertiesController::class, 'get']);
Route::put('catalog/properties/{id}', [PropertiesController::class, 'replace']);
Route::delete('catalog/properties/{id}', [PropertiesController::class, 'delete']);
Route::patch('catalog/properties/{id}', [PropertiesController::class, 'patch']);
Route::get('catalog/properties/properties-types', [EnumsController6::class, 'propertyTypes']);
Route::post('catalog/properties/{id}:add-directory', [DirectoryValuesController::class, 'create']);
Route::post('catalog/properties/{id}:mass-add-directory', [DirectoryValuesController::class, 'massCreate']);
Route::post('catalog/properties/directory:search', [DirectoryValuesController::class, 'search']);
Route::post('catalog/properties/directory:preload-image', [DirectoryValuesController::class, 'preloadImage']);
Route::post('catalog/properties/directory:preload-file', [DirectoryValuesController::class, 'preloadFile']);
Route::get('catalog/properties/directory/{id}', [DirectoryValuesController::class, 'get']);
Route::put('catalog/properties/directory/{id}', [DirectoryValuesController::class, 'replace']);
Route::delete('catalog/properties/directory/{id}', [DirectoryValuesController::class, 'delete']);
Route::post('catalog/products:preload-image', [ProductDraftsController::class, 'preloadImage']);
Route::post('catalog/products:search', [ProductsController2::class, 'search']);
Route::post('catalog/products', [ProductDraftsController::class, 'create']);
Route::post('catalog/products:mass-patch', [ProductDraftsController::class, 'massPatch']);
Route::post('catalog/products:mass-patch-by-query', [ProductDraftsController::class, 'massPatchByQuery']);
Route::post('catalog/products:common-attributes', [ProductDraftsController::class, 'commonAttributes']);
Route::get('catalog/products/{id}', [ProductsController2::class, 'get']);
Route::put('catalog/products/{id}', [ProductDraftsController::class, 'replace']);
Route::delete('catalog/products/{id}', [ProductDraftsController::class, 'delete']);
Route::patch('catalog/products/{id}', [ProductDraftsController::class, 'patch']);
Route::post('catalog/products/drafts:search', [ProductDraftsController::class, 'search']);
Route::get('catalog/products/drafts:meta', [ProductDraftsController::class, 'meta']);
Route::post('catalog/products/draft-enum-values:search', [ProductDraftsController::class, 'searchEnumValues'])->name('catalog.searchProductDraftEnumValues');
Route::get('catalog/products/drafts/{id}', [ProductDraftsController::class, 'get']);
Route::post('catalog/products/{property}/enum-values:search', [ProductsController2::class, 'searchEnumValues'])->name('catalog.searchProductsEnumValues');
Route::put('catalog/products/{id}/attributes', [ProductDraftsController::class, 'replaceAttributes']);
Route::delete('catalog/products/{id}/attributes', [ProductDraftsController::class, 'deleteAttributes']);
Route::patch('catalog/products/{id}/attributes', [ProductDraftsController::class, 'patchAttributes']);
Route::put('catalog/products/{id}/images', [ProductDraftsController::class, 'replaceImages']);
Route::patch('catalog/products/{id}/images', [ProductDraftsController::class, 'patchImages']);
Route::post('catalog/products/{id}:upload-image', [ProductDraftsController::class, 'uploadImage']);
Route::post('catalog/products/{id}:delete-image', [ProductDraftsController::class, 'deleteImage']);
Route::post('catalog/products/fields:search', [ProductFieldsController::class, 'search']);
Route::get('catalog/products/fields/{id}', [ProductFieldsController::class, 'get']);
Route::patch('catalog/products/fields/{id}', [ProductFieldsController::class, 'patch']);
Route::get('catalog/products/product-types', [EnumsController6::class, 'productTypes']);
Route::get('catalog/products/product-tariffing-volumes', [EnumsController6::class, 'productTariffingVolumes']);
Route::get('catalog/products/product-uom', [EnumsController6::class, 'productUom']);
Route::post('catalog/product-groups', [ProductGroupsController::class, 'create']);
Route::get('catalog/product-groups/{id}', [ProductGroupsController::class, 'get']);
Route::delete('catalog/product-groups/{id}', [ProductGroupsController::class, 'delete']);
Route::patch('catalog/product-groups/{id}', [ProductGroupsController::class, 'patch']);
Route::post('catalog/product-groups/{id}:bind-products', [ProductGroupsController::class, 'bindProducts']);
Route::post('catalog/product-groups:mass-delete', [ProductGroupsController::class, 'massDelete']);
Route::get('catalog/product-groups:meta', [ProductGroupsController::class, 'meta']);
Route::post('catalog/product-groups:search', [ProductGroupsController::class, 'search']);
Route::post('catalog/product-groups:search-one', [ProductGroupsController::class, 'searchOne']);
Route::post('catalog/bulk-operations:search', [BulkOperationsController::class, 'search']);
Route::get('catalog/bulk-operations:meta', [BulkOperationsController::class, 'meta']);
Route::post('catalog/product-imports', [ProductImportsController::class, 'create']);
Route::post('catalog/product-imports:preload-file', [ProductImportsController::class, 'preloadFile']);
Route::post('catalog/product-imports:search', [ProductImportsController::class, 'search']);
Route::get('catalog/product-imports:meta', [ProductImportsController::class, 'meta']);
Route::post('catalog/product-import-warnings:search', [ProductImportWarningsController::class, 'search']);
Route::get('catalog/product-import-warnings:meta', [ProductImportWarningsController::class, 'meta']);
Route::post('catalog/product-statuses:next', [ProductStatusesController::class, 'getNext']);
Route::post('catalog/product-statuses/{id}:set-previous', [ProductStatusesController::class, 'setPrevious']);
Route::post('catalog/product-status-enum-values:search', [ProductStatusesController::class, 'searchEnumValues'])->name('catalog.searchProductStatusEnumValues');
Route::post('catalog/product-statuses:search', [ProductStatusesController::class, 'search']);
Route::get('catalog/product-statuses:meta', [ProductStatusesController::class, 'meta']);
Route::post('catalog/product-statuses', [ProductStatusesController::class, 'create']);
Route::get('catalog/product-statuses/{id}', [ProductStatusesController::class, 'get']);
Route::delete('catalog/product-statuses/{id}', [ProductStatusesController::class, 'delete']);
Route::patch('catalog/product-statuses/{id}', [ProductStatusesController::class, 'patch']);
Route::get('catalog/product-status-types', [EnumsController6::class, 'productStatusType']);
Route::get('catalog/product-events', [EnumsController6::class, 'productEvents']);
Route::get('catalog/product-event-operations', [EnumsController6::class, 'productEventOperations']);
Route::post('catalog/product-events:search', [ProductEventsController::class, 'search']);
Route::get('catalog/product-events:meta', [ProductEventsController::class, 'meta']);
Route::post('catalog/offers/entities:sync', [EntitiesController::class, 'sync']);
Route::post('catalog/offers:migrate', [OffersController::class, 'migrate']);
Route::post('catalog/offers/failed-jobs:search', [FailedJobsController2::class, 'search']);
Route::get('catalog/offers/failed-jobs:meta', [FailedJobsController2::class, 'meta']);
Route::get('catalog/offers/{id}', [OffersController::class, 'get']);
Route::patch('catalog/offers/{id}', [OffersController::class, 'patch']);
Route::post('catalog/offers:search', [OffersController::class, 'search']);
Route::get('catalog/offers:meta', [OffersController::class, 'meta']);
Route::get('catalog/stocks/{id}', [StocksController::class, 'get']);
Route::patch('catalog/stocks/{id}', [StocksController::class, 'patch']);
Route::post('catalog/stocks:search', [StocksController::class, 'search']);
Route::get('catalog/stocks:meta', [StocksController::class, 'meta']);
Route::get('catalog/reviews/review-statuses', [EnumsController6::class, 'reviewStatuses']);
Route::get('catalog/reviews/{id}', [ReviewsController::class, 'get']);
Route::delete('catalog/reviews/{id}', [ReviewsController::class, 'delete']);
Route::patch('catalog/reviews/{id}', [ReviewsController::class, 'patch']);
Route::post('catalog/reviews:search', [ReviewsController::class, 'search']);
Route::post('catalog/reviews:mass-delete', [ReviewsController::class, 'massDelete']);
Route::get('catalog/reviews:meta', [ReviewsController::class, 'meta']);
Route::get('catalog/reviews/review-customer:meta', [ReviewsController::class, 'customerMeta']);
Route::get('catalog/reviews/review-product:meta', [ReviewsController::class, 'productMeta']);
Route::post('catalog/feeds/entities:migrate', [EntitiesController2::class, 'migrate']);
Route::get('catalog/feeds/{id}', [FeedsController::class, 'get']);
Route::post('catalog/feeds:search', [FeedsController::class, 'search']);
Route::get('catalog/feeds:meta', [FeedsController::class, 'meta']);
Route::get('catalog/feed-types', [EnumsController6::class, 'feedTypes']);
Route::get('catalog/feed-platforms', [EnumsController6::class, 'feedPlatforms']);
Route::post('catalog/feed-settings', [FeedSettingsController::class, 'create']);
Route::get('catalog/feed-settings/{id}', [FeedSettingsController::class, 'get']);
Route::patch('catalog/feed-settings/{id}', [FeedSettingsController::class, 'patch']);
Route::post('catalog/feed-settings:search', [FeedSettingsController::class, 'search']);
Route::get('catalog/feed-settings:meta', [FeedSettingsController::class, 'meta']);
Route::get('catalog/cloud-integrations', [CloudIntegrationsController::class, 'get']);
Route::post('catalog/cloud-integrations', [CloudIntegrationsController::class, 'create']);
Route::patch('catalog/cloud-integrations', [CloudIntegrationsController::class, 'patch']);
Route::post('catalog/catalog-cache/entities:migrate', [EntitiesController3::class, 'migrate']);
Route::post('catalog-cache/category-properties:search', [ActualCategoryPropertiesController2::class, 'search']);
Route::get('catalog-cache/category-properties:meta', [ActualCategoryPropertiesController2::class, 'meta']);
Route::post('catalog-cache/categories:search', [CategoriesController2::class, 'search']);
Route::get('catalog-cache/categories:meta', [CategoriesController2::class, 'meta']);
Route::post('catalog-cache/failed-jobs:search', [FailedJobsController3::class, 'search']);
Route::get('catalog-cache/failed-jobs:meta', [FailedJobsController3::class, 'meta']);
Route::post('catalog-cache/indexer-timestamps:search', [IndexerTimestampsController::class, 'search']);
Route::get('catalog-cache/indexer-timestamps:meta', [IndexerTimestampsController::class, 'meta']);
Route::delete('catalog-cache/indexer-timestamps/{id}', [IndexerTimestampsController::class, 'delete']);
Route::patch('catalog-cache/indexer-timestamps/{id}', [IndexerTimestampsController::class, 'patch']);
Route::post('catalog-cache/properties:search', [PropertiesController2::class, 'search']);
Route::get('catalog-cache/properties:meta', [PropertiesController2::class, 'meta']);
Route::post('catalog-cache/nameplates:search', [NameplatesController2::class, 'search']);
Route::get('catalog-cache/nameplates:meta', [NameplatesController2::class, 'meta']);
Route::post('catalog-cache/nameplate-products:search', [NameplateProductsController2::class, 'search']);
Route::get('catalog-cache/nameplate-products:meta', [NameplateProductsController2::class, 'meta']);
Route::post('catalog-cache/brands:search', [BrandsController2::class, 'search']);
Route::get('catalog-cache/brands:meta', [BrandsController2::class, 'meta']);
Route::post('catalog-cache/property-directory-values:search', [PropertyDirectoryValuesController::class, 'search']);
Route::get('catalog-cache/property-directory-values:meta', [PropertyDirectoryValuesController::class, 'meta']);
Route::post('catalog-cache/product-groups:search', [ProductGroupsController2::class, 'search']);
Route::get('catalog-cache/product-groups:meta', [ProductGroupsController2::class, 'meta']);
Route::post('catalog-cache/product-group-products:search', [ProductGroupProductsController::class, 'search']);
Route::get('catalog-cache/product-group-products:meta', [ProductGroupProductsController::class, 'meta']);
Route::post('catalog-cache/offers:search', [OffersController2::class, 'search']);
Route::get('catalog-cache/offers:meta', [OffersController2::class, 'meta']);
Route::post('catalog-cache/discounts:search', [DiscountsController::class, 'search']);
Route::get('catalog-cache/discounts:meta', [DiscountsController::class, 'meta']);
Route::post('catalog-cache/products:search', [ProductsController3::class, 'search']);
Route::get('catalog-cache/products:meta', [ProductsController3::class, 'meta']);
Route::post('catalog-cache/images:search', [ImagesController::class, 'search']);
Route::get('catalog-cache/images:meta', [ImagesController::class, 'meta']);
Route::post('catalog-cache/product-property-values:search', [ProductPropertyValuesController::class, 'search']);
Route::get('catalog-cache/product-property-values:meta', [ProductPropertyValuesController::class, 'meta']);
Route::get('customers/customers:meta', [CustomersController::class, 'meta']);
Route::post('customers/customers:search', [CustomersController::class, 'search']);
Route::post('customers/customer-enum-values:search', [CustomersController::class, 'searchEnumValues'])->name('customers.searchCustomerEnumValues');
Route::post('customers/customers', [CustomersController::class, 'create']);
Route::get('customers/customers/{id}', [CustomersController::class, 'get']);
Route::patch('customers/customers/{id}', [CustomersController::class, 'patch']);
Route::post('customers/customers/{id}:delete-personal-data', [CustomersController::class, 'deletePersonalData']);
Route::post('customers/customers/{id}:upload-avatar', [CustomersController::class, 'uploadAvatar']);
Route::post('customers/customers/{id}:delete-avatar', [CustomersController::class, 'deleteAvatar']);
Route::get('customers/orders:meta', [CustomerOrdersController::class, 'meta']);
Route::post('customers/users:search', [CustomerUsersController::class, 'search']);
Route::post('customers/users-enum-values:search', [CustomerUsersController::class, 'searchEnumValues'])->name('customers.searchCustomerUserEnumValues');
Route::post('customers/users:search-one', [CustomerUsersController::class, 'searchOne']);
Route::post('customers/users', [CustomerUsersController::class, 'create']);
Route::get('customers/users/{id}', [CustomerUsersController::class, 'get']);
Route::delete('customers/users/{id}', [CustomerUsersController::class, 'delete']);
Route::patch('customers/users/{id}', [CustomerUsersController::class, 'patch']);
Route::post('customers/users/{id}:refresh-password-token', [CustomerUsersController::class, 'refreshPasswordToken']);
Route::post('customers/addresses:search', [CustomersAddressesController::class, 'search']);
Route::post('customers/addresses', [CustomersAddressesController::class, 'create']);
Route::get('customers/addresses/{id}', [CustomersAddressesController::class, 'get']);
Route::put('customers/addresses/{id}', [CustomersAddressesController::class, 'replace']);
Route::delete('customers/addresses/{id}', [CustomersAddressesController::class, 'delete']);
Route::post('customers/addresses/{id}:set-as-default', [CustomersAddressesController::class, 'setDefault']);
Route::post('customers/statuses:search', [CustomerStatusesController::class, 'search']);
Route::post('customers/statuses-enum-values:search', [CustomerStatusesController::class, 'searchEnumValues'])->name('customers.searchCustomerStatusEnumValues');
Route::post('customers/statuses', [CustomerStatusesController::class, 'create']);
Route::get('customers/statuses/{id}', [CustomerStatusesController::class, 'get']);
Route::delete('customers/statuses/{id}', [CustomerStatusesController::class, 'delete']);
Route::patch('customers/statuses/{id}', [CustomerStatusesController::class, 'patch']);
Route::post('customers/favorites:search', [CustomersFavoritesController::class, 'search']);
Route::post('customers/favorites', [CustomersFavoritesController::class, 'create']);
Route::post('customers/favorites:delete-product', [CustomersFavoritesController::class, 'delete']);
Route::post('customers/favorites:clear', [CustomersFavoritesController::class, 'clear']);
Route::post('customers/customers-info:search', [CustomersInfoController::class, 'search']);
Route::post('customers/customers-info', [CustomersInfoController::class, 'create']);
Route::get('customers/customers-info/{id}', [CustomersInfoController::class, 'get']);
Route::delete('customers/customers-info/{id}', [CustomersInfoController::class, 'delete']);
Route::patch('customers/customers-info/{id}', [CustomersInfoController::class, 'patch']);
Route::post('customers/bonus-operations:search', [CustomersBonusOperationsController::class, 'search']);
Route::post('customers/bonus-operations', [CustomersBonusOperationsController::class, 'create']);
Route::get('customers/bonus-operations/{id}', [CustomersBonusOperationsController::class, 'get']);
Route::delete('customers/bonus-operations/{id}', [CustomersBonusOperationsController::class, 'delete']);
Route::patch('customers/bonus-operations/{id}', [CustomersBonusOperationsController::class, 'patch']);
Route::post('customers/product-subscribes:search', [CustomersProductSubscribesController::class, 'search']);
Route::post('customers/product-subscribes', [CustomersProductSubscribesController::class, 'create']);
Route::post('customers/product-subscribes:delete-product', [CustomersProductSubscribesController::class, 'delete']);
Route::post('customers/product-subscribes:clear', [CustomersProductSubscribesController::class, 'clear']);
Route::post('customers/preferences:search', [CustomersPreferencesController::class, 'search']);
Route::post('marketing/promo-codes', [PromoCodesController::class, 'create']);
Route::get('marketing/promo-codes/{id}', [PromoCodesController::class, 'get']);
Route::delete('marketing/promo-codes/{id}', [PromoCodesController::class, 'delete']);
Route::patch('marketing/promo-codes/{id}', [PromoCodesController::class, 'patch']);
Route::post('marketing/promo-codes:search', [PromoCodesController::class, 'search']);
Route::get('marketing/promo-codes:meta', [PromoCodesController::class, 'meta']);
Route::get('marketing/promo-code-statuses', [EnumsController7::class, 'promoCodeStatuses']);
Route::post('marketing/discounts', [DiscountsController2::class, 'create']);
Route::get('marketing/discounts/{id}', [DiscountsController2::class, 'get']);
Route::delete('marketing/discounts/{id}', [DiscountsController2::class, 'delete']);
Route::patch('marketing/discounts/{id}', [DiscountsController2::class, 'patch']);
Route::post('marketing/discounts:search', [DiscountsController2::class, 'search']);
Route::get('marketing/discounts:meta', [DiscountsController2::class, 'meta']);
Route::post('marketing/discounts:mass-status-update', [DiscountsController2::class, 'massStatusUpdate']);
Route::post('marketing/discounts/{id}/products', [DiscountRelationsController::class, 'patchProducts']);
Route::delete('marketing/discounts/{id}/products', [DiscountRelationsController::class, 'deleteProducts']);
Route::get('marketing/discount-statuses', [EnumsController7::class, 'discountStatuses']);
Route::get('marketing/discount-types', [EnumsController7::class, 'discountTypes']);
Route::get('marketing/discount-value-types', [EnumsController7::class, 'discountValueTypes']);
Route::get('marketing/discounts/discount-products/{id}', [DiscountProductsController::class, 'get']);
Route::post('marketing/discounts/discount-products:search', [DiscountProductsController::class, 'search']);
Route::get('marketing/discounts/discount-products:meta', [DiscountProductsController::class, 'meta']);
Route::get('menu', [MenuController::class, 'menu']);
Route::post('communication/statuses:search', [StatusesController::class, 'search']);
Route::post('communication/statuses', [StatusesController::class, 'create']);
Route::delete('communication/statuses/{id}', [StatusesController::class, 'delete']);
Route::patch('communication/statuses/{id}', [StatusesController::class, 'patch']);
Route::post('communication/themes:search', [ThemesController::class, 'search']);
Route::post('communication/themes', [ThemesController::class, 'create']);
Route::delete('communication/themes/{id}', [ThemesController::class, 'delete']);
Route::patch('communication/themes/{id}', [ThemesController::class, 'patch']);
Route::post('communication/types:search', [TypesController::class, 'search']);
Route::post('communication/types', [TypesController::class, 'create']);
Route::delete('communication/types/{id}', [TypesController::class, 'delete']);
Route::patch('communication/types/{id}', [TypesController::class, 'patch']);
Route::post('communication/messages:search', [MessagesController::class, 'search']);
Route::post('communication/broadcasts', [BroadcastsController::class, 'create']);
Route::post('communication/attachments', [AttachmentsController::class, 'create']);
Route::post('communication/attachments:mass-delete', [AttachmentsController::class, 'massDelete']);
Route::post('communication/channels:search', [ChannelsController::class, 'search']);
Route::post('communication/channels', [ChannelsController::class, 'create']);
Route::delete('communication/channels/{id}', [ChannelsController::class, 'delete']);
Route::patch('communication/channels/{id}', [ChannelsController::class, 'patch']);
Route::post('communication/chats:search', [ChatsController::class, 'search']);
Route::post('communication/chats', [ChatsController::class, 'create']);
Route::patch('communication/chats/{id}', [ChatsController::class, 'patch']);
Route::post('communication/notifications:search', [NotificationsController::class, 'search']);
Route::get('communication/notifications:meta', [NotificationsController::class, 'meta']);
Route::post('communication/notification-settings', [NotificationSettingsController::class, 'create']);
Route::get('communication/notification-settings/{id}', [NotificationSettingsController::class, 'get']);
Route::delete('communication/notification-settings/{id}', [NotificationSettingsController::class, 'delete']);
Route::patch('communication/notification-settings/{id}', [NotificationSettingsController::class, 'patch']);
Route::post('communication/notification-settings:search', [NotificationSettingsController::class, 'search']);
Route::get('communication/notification-settings:meta', [NotificationSettingsController::class, 'meta']);
Route::get('communication/notification-setting-channels', [EnumsController8::class, 'notificationSettingChannels']);
Route::get('communication/notification-setting-events', [EnumsController8::class, 'notificationSettingEvents']);
Route::get('communication/notification-setting-variables', [NotificationSettingsController::class, 'settingVariables']);
Route::post('units/sellers:search', [SellersController::class, 'search']);
Route::get('units/sellers:meta', [SellersController::class, 'meta']);
Route::post('units/sellers', [SellersController::class, 'create']);
Route::get('units/sellers/{id}', [SellersController::class, 'get']);
Route::patch('units/sellers/{id}', [SellersController::class, 'patch']);
Route::get('units/sellers/seller-statuses', [EnumsController9::class, 'sellerStatuses']);
Route::post('units/seller-enum-values:search', [SellersController::class, 'searchEnumValues'])->name('units.searchSellerEnumValues');
Route::get('units/stores:meta', [StoresController::class, 'meta']);
Route::post('units/stores:search', [StoresController::class, 'search']);
Route::post('units/store-enum-values:search', [StoresController::class, 'searchEnumValues'])->name('units.searchStoreEnumValues');
Route::post('units/stores', [StoresController::class, 'create']);
Route::get('units/stores/{id}', [StoresController::class, 'get']);
Route::patch('units/stores/{id}', [StoresController::class, 'patch']);
Route::post('units/stores-workings', [StoreWorkingsController::class, 'create']);
Route::delete('units/stores-workings/{id}', [StoreWorkingsController::class, 'delete']);
Route::patch('units/stores-workings/{id}', [StoreWorkingsController::class, 'patch']);
Route::post('units/stores-pickup-times', [StorePickupTimesController::class, 'create']);
Route::delete('units/stores-pickup-times/{id}', [StorePickupTimesController::class, 'delete']);
Route::patch('units/stores-pickup-times/{id}', [StorePickupTimesController::class, 'patch']);
Route::post('units/stores-contacts', [StoreContactsController::class, 'create']);
Route::delete('units/stores-contacts/{id}', [StoreContactsController::class, 'delete']);
Route::patch('units/stores-contacts/{id}', [StoreContactsController::class, 'patch']);
Route::post('units/seller-users:search', [SellerUsersController::class, 'search']);
Route::get('units/seller-users:meta', [SellerUsersController::class, 'meta']);
Route::post('units/seller-users', [SellerUsersController::class, 'create']);
Route::get('units/seller-users/{id}', [SellerUsersController::class, 'get']);
Route::patch('units/seller-users/{id}', [SellerUsersController::class, 'patch']);
Route::post('units/seller-users/{id}:add-roles', [SellerUsersController::class, 'addRoles']);
Route::post('units/seller-users/{id}:delete-role', [SellerUsersController::class, 'deleteRole']);
Route::post('units/seller-user-roles:search', [SellerUserRolesController::class, 'search']);
Route::get('units/admin-users:meta', [AdminUsersController::class, 'meta']);
Route::post('units/admin-users:search', [AdminUsersController::class, 'search']);
Route::post('units/admin-user-enum-values:search', [AdminUsersController::class, 'searchEnumValues'])->name('units.searchAdminUserEnumValues');
Route::post('units/admin-users', [AdminUsersController::class, 'create']);
Route::get('units/admin-users/{id}', [AdminUsersController::class, 'get']);
Route::patch('units/admin-users/{id}', [AdminUsersController::class, 'patch']);
Route::post('units/admin-users/{id}:add-roles', [AdminUsersController::class, 'addRoles']);
Route::post('units/admin-users/{id}:delete-role', [AdminUsersController::class, 'deleteRole']);
Route::post('units/admin-users/{id}:refresh-password-token', [AdminUsersController::class, 'refreshPasswordToken']);
Route::post('units/admin-users/mass/change-active', [AdminUsersController::class, 'massChangeActive']);
Route::post('units/admin-users/set-password', [AdminUsersController::class, 'setPassword'])->withoutMiddleware(['auth']);
Route::get('units/admin-users/right-access', [AdminUserRolesController::class, 'getRightsAccess']);
Route::post('units/admin-user-roles', [AdminUserRolesController::class, 'create']);
Route::get('units/admin-user-roles/{id}', [AdminUserRolesController::class, 'get']);
Route::delete('units/admin-user-roles/{id}', [AdminUserRolesController::class, 'delete']);
Route::patch('units/admin-user-roles/{id}', [AdminUserRolesController::class, 'patch']);
Route::post('units/admin-user-roles:search', [AdminUserRolesController::class, 'search']);
Route::get('units/admin-user-roles:meta', [AdminUserRolesController::class, 'meta']);
